Bug 123545 - switchdesk didn't delete .Xclients when command failed.
switchdesk didn't delete .Xclients when command failed.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: switchdesk (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-19 05:11 EDT by masanari iida
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-27 05:20:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description masanari iida 2004-05-19 05:11:08 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.8a)
Gecko/20040518

Description of problem:
First of all, I don't have ~/.Xclients, ~/.Xclients-default.
When I run " switchdesk xfce " without installing xfce,
the command return "ERROR: XFCE not installed!". This is correct
detection.
But at the same time, this command create .Xclients.
Then I run "startx" , X failed to start with following error message.

/home/hoge/.Xclients: line 8: /home/hoge/.Xclients-default: No Such
file or directory. 
/home/hoge/.Xclients: line 8: /home/hoge/.Xclients-default: cannot
execute: No such file or directory.

There is no .Xclients-default file. 
But in this case, I think, switchdesk should not create .Xclients
file if it was not there before.

Version-Release number of selected component (if applicable):
switchdesk-4.0.3-1

How reproducible:
Always

Steps to Reproduce:
1. Delete ~/.Xclients, ~/.Xclients-default file.
2. Make sure xfce filesets are not installed.
3. Run $ switchdesk xfce 
    

Actual Results:  switchdesk detect no XFCE filesets are installed,
then just quit.
At the moment, switchdesk creats ~/.Xclients. But no .Xclients-default.
After this, startx failed to start X Window.

Expected Results:  switchdesk detect no XFCE filesets are installed,
then just quit
without creating .Xclients (if the file is not exist before swithdesk
is executed).


Additional info:

  Workaround : Delete .Xclients and .Xclients-default.
Comment 1 Ngo Than 2004-05-27 05:20:47 EDT
it's fixed in 4.0.4-1, which will be showed up in next release. Many
thanks for your report.

Note You need to log in before you can comment on or make changes to this bug.